import { PrismTheme } from 'prism-react-renderer'

const theme: PrismTheme = {
  plain: {
    backgroundColor: "transparent",
      color: "#ffffff"
  },
  styles: [
    {
      types: ["comment", "prolog", "doctype", "cdata"],
      style: {
        // color: "#6c6783"
        opacity: 0.3,
        fontStyle: 'italic',
      }
    },
    {
      types: ["namespace"],
      style: {
        opacity: 0.7
      }
    },
    {
      types: ["number", "boolean", "hexcode"],
      style: {
        color: "#74f95e",
        fontWeight: 'bold',
      }
    },
    {
      types: ["tag", "operator", "keyword", "atrule", "selector"],
      style: {
        color: "#ff4389",
        fontWeight: 'bold',
      }
    },
    {
      types: ["type", "class"],
      style: {
        color: "#5097D2",
        fontWeight: 'bold',
      }
    },
    {
      types: ["punctuation"],
      style: {
        color: "#ffffff"
      }
    },
    {
      types: ["function"],
      style: {
        color: "#67c252",
        fontStyle: 'italic',
      }
    },
    {
      types: ["parameter"],
      style: {
        color: "#915ec2"
      }
    },
    {
      types: ["property"],
      style: {
        color: "#ffa1c9"
      }
    },
    {
      types: ["tag-id", "atrule-id"],
      style: {
        color: "#eeebff"
      }
    },
    {
      types: ["attr-name"],
      style: {
        color: "#ffa1c9"
      }
    },
    {
      types: ["string", "attr-value", 'unit'],
      style: {
        color: "#eed371"
      }
    },
    {
      types: ["variable"],
      style: {
        color: "#8bc275"
      }
    },
    {
      types: [
        "entity",
        "url",
        "control",
        "directive",
        "statement",
        "regex",

        "placeholder",
      ],
      style: {
        color: "#ffcc99"
      }
    },
    {
      types: ["deleted"],
      style: {
        textDecorationLine: "line-through"
      }
    },
    {
      types: ["inserted"],
      style: {
        textDecorationLine: "underline"
      }
    },
    {
      types: ["italic"],
      style: {
        fontStyle: "italic"
      }
    },
    {
      types: ["important", "bold"],
      style: {
        fontWeight: "bold"
      }
    },
    {
      types: ["important"],
      style: {
        color: "#c4b9fe"
      }
    }
  ]
}

export default theme
